Bug 463212 - Add quality setting for saving AVIF images
Summary: Add quality setting for saving AVIF images
Status: RESOLVED FIXED
Alias: None
Product: kolourpaint
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: Other Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: kolourpaint-support
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-12-18 23:14 UTC by kde
Modified: 2023-01-05 20:01 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 22.12.2


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description kde 2022-12-18 23:14:23 UTC
The "Save Image As" dialog should show a quality option when saving an image with file type "AVIF Image", just as it already does for JPEG/WEBP/JP2.[0]

A similar request was filed for Gwenview almost two years ago: https://bugs.kde.org/show_bug.cgi?id=431680 .

(A bit more on why I in particular would like to be able to change image saving quality for KolourPaint. I sometimes edit screenshots with KolourPaint, and would like to save them in AVIF format. The default quality when saving AVIF images[1] appears to be 52, which saves the image using 4:2:0 subsampling. In addition to the AVIF encoding artifacts, the subsampling itself both blurs and alters the color of thin colored lines and colored text. Being able to set the quality level to >= 85 will let me save images without subsampling (a.k.a, 4:4:4 mode), and with fewer compression artifacts.)

[0] https://invent.kde.org/graphics/kolourpaint/-/blob/master/document/kpDocumentSaveOptions.cpp#L482-492
[1] https://invent.kde.org/frameworks/kimageformats/-/blob/master/src/imageformats/avif.cpp#L21
Comment 1 Nate Graham 2023-01-05 20:00:05 UTC
Git commit c6609e1356ed02735996490403eadf05664770ed by Nate Graham.
Committed on 05/01/2023 at 19:58.
Pushed by ngraham into branch 'master'.

Add more image formats to the list of ones supporting variable quality
FIXED-IN: 22.12.2

M  +3    -0    document/kpDocumentSaveOptions.cpp

https://invent.kde.org/graphics/kolourpaint/commit/c6609e1356ed02735996490403eadf05664770ed
Comment 2 Nate Graham 2023-01-05 20:01:24 UTC
Git commit 0c880aae02411c97241c85bc16410c83e0d06168 by Nate Graham.
Committed on 05/01/2023 at 20:01.
Pushed by ngraham into branch 'release/22.12'.

Add more image formats to the list of ones supporting variable quality
FIXED-IN: 22.12.2
(cherry picked from commit c6609e1356ed02735996490403eadf05664770ed)

M  +3    -0    document/kpDocumentSaveOptions.cpp

https://invent.kde.org/graphics/kolourpaint/commit/0c880aae02411c97241c85bc16410c83e0d06168